0
Pending Review

Bolt crashing Unity 2017.4.5f1

edwstoa 2 years ago updated by Lazlo Bonin (Lead Developer) 2 years ago 1

Okay, so what version of Unity is still okay to use Bolt on? I'm on 2017.4.5.f1, and while previously built flows and states work, I can't generate new ones. This is because I can't actually get the fuzzy finder to start. Yes, I've reinstalled. Yes, I've rerun the setup wizard. Yes, I've tried updating unit options. The update process freezes Unity, as does the setup wizard about half the time, and under no circumstances have I been able to actually add any new units to a graph using the fuzzy finder.

This is simply the latest in a weeks-long line of issues I've run into with Bolt. It's been at least a month now since I've been able to get it to run reliably. Is the only solution to revert to an
even earlier version of Unity? If so, I hope you're making that clear in the Asset Store.

Here's the latest round of error messages.

Bolt Version:
Unity Version:
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
Pending Review

Hi edwstoa! I'm verry sorry you're having these issues.

Can you try running the v.1.4 Beta? Most compatibility issues with 2017 should have been fixed, along with a myriad of random bugfixes.

Another suggestion, if the setup wizard freezes, would be to generate the unit options through the Unit Options Wizard or the Build Unit Options menu item instead.

Let me know if none of that works, I'll make sure we can get your project back to a working state!